## msgpack-cxx 4.1.1

=== CMakeLists.txt ===
CMAKE_MINIMUM_REQUIRED (VERSION 3.1 FATAL_ERROR)

CMAKE_POLICY (SET CMP0054 NEW)

PROJECT (msgpack LANGUAGES CXX)

FILE (READ ${CMAKE_CURRENT_SOURCE_DIR}/include/msgpack/version_master.hpp contents)
STRING (REGEX MATCH "#define MSGPACK_VERSION_MAJOR *([0-9a-zA-Z_]*)" NULL_OUT ${contents})
SET (VERSION_MAJOR ${CMAKE_MATCH_1})
STRING (REGEX MATCH "#define MSGPACK_VERSION_MINOR *([0-9a-zA-Z_]*)" NULL_OUT ${contents})
SET (VERSION_MINOR ${CMAKE_MATCH_1})
STRING (REGEX MATCH "#define MSGPACK_VERSION_REVISION *([0-9a-zA-Z_]*)" NULL_OUT ${contents})
SET (VERSION_REVISION ${CMAKE_MATCH_1})
SET (VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_REVISION})

LIST (APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/")
SET (GNUCXX_STD_SUPPORT_VERSION "4.3")

OPTION (MSGPACK_CXX11 "Using c++11 compiler" OFF)
OPTION (MSGPACK_CXX14 "Using c++14 compiler" OFF)
OPTION (MSGPACK_CXX17 "Using c++17 compiler" OFF)
OPTION (MSGPACK_CXX20 "Using c++20 compiler" OFF)

OPTION (MSGPACK_32BIT            "32bit compile"                        OFF)
OPTION (MSGPACK_USE_BOOST        "Use Boost libraried"                  ON)
OPTION (MSGPACK_USE_X3_PARSE     "Use Boost X3 parse"                   OFF)
OPTION (MSGPACK_BUILD_TESTS      "Build tests"                          OFF)
OPTION (MSGPACK_BUILD_DOCS       "Build Doxygen documentation"          ON)
OPTION (MSGPACK_FUZZ_REGRESSION  "Enable regression testing"            OFF)
OPTION (MSGPACK_BUILD_EXAMPLES   "Build msgpack examples"               OFF)
OPTION (MSGPACK_GEN_COVERAGE     "Generate coverage report"             OFF)
OPTION (MSGPACK_USE_STATIC_BOOST "Statically link with boost libraries" OFF)
OPTION (MSGPACK_CHAR_SIGN        "Char sign to use (signed or unsigned)")

SET (CMAKE_CXX_STANDARD_REQUIRED ON)

IF (MSGPACK_USE_X3_PARSE)
    IF (NOT (MSGPACK_CXX14 OR MSGPACK_CXX17 OR MSGPACK_CXX20))
        MESSAGE (FATAL_ERROR "MSGPACK_USE_X3_PARSE requires MSGPACK_CXX14 or newer")
    ENDIF ()
    SET (CMAKE_CXX_FLAGS "-DMSGPACK_USE_X3_PARSE ${CMAKE_CXX_FLAGS}")
ENDIF ()

IF (MSGPACK_CXX20)
    SET (CMAKE_CXX_STANDARD 20)
ELSEIF (MSGPACK_CXX17)
    SET (CMAKE_CXX_STANDARD 17)
ELSEIF (MSGPACK_CXX14)
    SET (CMAKE_CXX_STANDARD 14)
ELSEIF (MSGPACK_CXX11)
    SET (CMAKE_CXX_STANDARD 11)
ELSE ()
    SET (CMAKE_CXX_STANDARD 98)
ENDIF ()

IF (MSGPACK_32BIT)
    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
        SET (CMAKE_CXX_FLAGS "-m32 ${CMAKE_CXX_FLAGS}")
        SET (CMAKE_EXE_LINKER_FLAGS "-m32 ${CMAKE_EXE_LINKER_FLAGS}")
    ELSEIF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
        SET (CMAKE_CXX_FLAGS "-m32 ${CMAKE_CXX_FLAGS}")
        SET (CMAKE_EXE_LINKER_FLAGS "-m32 ${CMAKE_EXE_LINKER_FLAGS}")
    ENDIF ()
ENDIF ()

IF (MSGPACK_USE_BOOST)
    SET (Boost_USE_MULTITHREADED ON)

    IF (MSGPACK_USE_STATIC_BOOST)
        MESSAGE (STATUS "Staticly linking with Boost")
        SET (Boost_USE_STATIC_LIBS TRUE)
    ELSE ()
        MESSAGE (STATUS "Dynamically linking with Boost")
        SET (Boost_USE_STATIC_LIBS FALSE)
    ENDIF ()

    FIND_PACKAGE (Boost REQUIRED)
ELSE ()
    SET (CMAKE_CXX_FLAGS "-DMSGPACK_NO_BOOST ${CMAKE_CXX_FLAGS}")
ENDIF ()

IF (MSGPACK_CHAR_SIGN)
    SET (CMAKE_CXX_FLAGS "-f${MSGPACK_CHAR_SIGN}-char ${CMAKE_CXX_FLAGS}")
ENDIF ()

IF (MSGPACK_DEFAULT_API_VERSION)
    SET (CMAKE_CXX_FLAGS "-DMSGPACK_DEFAULT_API_VERSION=${MSGPACK_DEFAULT_API_VERSION} ${CMAKE_CXX_FLAGS}")
ELSE ()
    SET (MSGPACK_DEFAULT_API_VERSION 3)
    SET (CMAKE_CXX_FLAGS "-DMSGPACK_DEFAULT_API_VERSION=3 ${CMAKE_CXX_FLAGS}")
ENDIF ()

IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    IF (CMAKE_CXX_COMPILER_VERSION VERSION_LESS 4.1)
        INCLUDE (CheckCXXSourceCompiles)
        CHECK_CXX_SOURCE_COMPILES ("
#include <bits/atomicity.h>
int atomic_sub(int i) { return __gnu_cxx::__exchange_and_add(&i, -1) - 1; }
int atomic_add(int i) { return __gnu_cxx::__exchange_and_add(&i, 1) + 1; }
int main(int argc, char * argv[])
{
    atomic_sub(1);
    atomic_add(1);
}
"
        MSGPACK_ENABLE_GCC_CXX_ATOMIC)
    ENDIF ()
ENDIF ()


INCLUDE (Files.cmake)

ADD_LIBRARY (msgpackc-cxx INTERFACE)

TARGET_INCLUDE_DIRECTORIES (msgpackc-cxx
    INTERFACE
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
        $<INSTALL_INTERFACE:include>
)

IF (MSGPACK_USE_BOOST)
    TARGET_LINK_LIBRARIES (msgpackc-cxx INTERFACE Boost::boost)
ENDIF ()

IF (MSGPACK_GEN_COVERAGE)
    IF (NOT MSGPACK_BUILD_TESTS)
        MESSAGE(FATAL_ERROR "Coverage requires -DMSGPACK_BUILD_TESTS=ON")
    ENDIF ()
    STRING (TOUPPER "${CMAKE_BUILD_TYPE}" UPPER_CMAKE_BUILD_TYPE)
    IF (NOT "${UPPER_CMAKE_BUILD_TYPE}" STREQUAL "DEBUG")
        MESSAGE (FATAL_ERROR "Coverage requires -DCMAKE_BUILD_TYPE=Debug")
    ENDIF ()

    INCLUDE (CodeCoverage)
    SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${COVERAGE_FLAGS}")

    SETUP_TARGET_FOR_COVERAGE(coverage make coverage test)
ENDIF ()

IF (MSGPACK_BUILD_TESTS)
    IF (NOT MSGPACK_USE_BOOST)
        MESSAGE(FATAL_ERROR "Test requires -DMSGPACK_USE_BOOST=ON")
    ENDIF ()
    ENABLE_TESTING ()
    # MEMORYCHECK_COMMAND_OPTIONS needs to place prior to CTEST_MEMORYCHECK_COMMAND
    SET (MEMORYCHECK_COMMAND_OPTIONS "--leak-check=full --show-leak-kinds=definite,possible --error-exitcode=1")
    FIND_PROGRAM (CTEST_MEMORYCHECK_COMMAND NAMES valgrind)
    INCLUDE (Dart)
    ADD_SUBDIRECTORY (test)
ENDIF ()

# enable regression testing
IF (MSGPACK_FUZZ_REGRESSION)
    ENABLE_TESTING ()
    ADD_SUBDIRECTORY (fuzz)
ENDIF ()

IF ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "sparc")
    SET (CMAKE_CXX_FLAGS "-DMSGPACK_ZONE_ALIGN=8 ${CMAKE_CXX_FLAGS}")
ENDIF ()

IF (MSGPACK_BUILD_EXAMPLES)
    ADD_SUBDIRECTORY (example)
ENDIF ()

# Doxygen
IF (MSGPACK_BUILD_DOCS)
    FIND_PACKAGE (Doxygen)
    IF (DOXYGEN_FOUND)
        LIST (APPEND Doxyfile_cpp_CONTENT
            COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cpp
            COMMAND ${CMAKE_COMMAND} -E echo "FILE_PATTERNS      = *.hpp" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cpp
            COMMAND ${CMAKE_COMMAND} -E echo "OUTPUT_DIRECTORY   = doc_cpp" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cpp
            COMMAND ${CMAKE_COMMAND} -E echo "INPUT              = ${CMAKE_CURRENT_SOURCE_DIR}/include" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cpp
            COMMAND ${CMAKE_COMMAND} -E echo "EXTRACT_ALL        = YES" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cpp
            COMMAND ${CMAKE_COMMAND} -E echo "STRIP_FROM_PATH    = ${CMAKE_CURRENT_SOURCE_DIR}/include" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cpp
        )
        IF (DOXYGEN_DOT_FOUND)
            LIST (APPEND Doxyfile_cpp_CONTENT
                COMMAND ${CMAKE_COMMAND} -E echo "HAVE_DOT       = YES" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cpp
            )
        ENDIF ()
        ADD_CUSTOM_TARGET (
            doxygen
            ${Doxyfile_cpp_CONTENT}
            COMMAND ${CMAKE_COMMAND} -E echo "PROJECT_NAME       = \"MessagePack for C++\"" >> ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cpp
            COMMAND ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile_cpp
            VERBATIM
        )
    ENDIF ()
ENDIF ()

include (GNUInstallDirs)

# Install library.
INSTALL (TARGETS msgpackc-cxx
         EXPORT msgpackc-cxx-targets
         COMPONENT msgpackc-cxx
         # This provides include directory in exported target
         # relative to prefix in single directory we've put everything in.
         INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
)

# Install headers from source tree.
INSTALL (DIRECTORY include/
         DESTINATION include
         COMPONENT msgpackc-cxx
)

INCLUDE (CMakePackageConfigHelpers)

IF (NOT (CMAKE_VERSION VERSION_LESS 3.14))
    SET (extra_version_file_args ARCH_INDEPENDENT)
ENDIF ()
SET (cmake_config_path "${CMAKE_INSTALL_LIBDIR}/cmake/msgpackc-cxx")

# Configure the main package file from source tree.
CONFIGURE_PACKAGE_CONFIG_FILE (
    msgpack-config.cmake.in
    "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config.cmake"
    INSTALL_DESTINATION "${cmake_config_path}"
)

# Write package version file.
WRITE_BASIC_PACKAGE_VERSION_FILE (
    msgpack-config-version.cmake
    VERSION ${VERSION}
    COMPATIBILITY SameMajorVersion
    ${extra_version_file_args}
)

# Install the generated package version file and the main package file.
INSTALL (FILES
    "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config-version.cmake"
    DESTINATION "${cmake_config_path}"
    COMPONENT msgpackc-cxx
)

# This installs package in install tree for using installed targets.
INSTALL (
    EXPORT msgpackc-cxx-targets
    FILE msgpackc-cxx-targets.cmake
    DESTINATION "${cmake_config_path}"
    COMPONENT msgpackc-cxx
)

=== debian/changelog ===
msgpack-cxx (4.1.1-4) unstable; urgency=medium

  * autopkgtests: Depend on libmsgpack-cxx-dev, not libmsgpack-dev
  * autopkgtests: Use verbose build output to see the cmdline

 -- James McCoy <jamessan@debian.org>  Fri, 29 Jul 2022 06:39:53 -0400

msgpack-cxx (4.1.1-3) unstable; urgency=medium

  * Update Vcs-* URLs to debian namespace
  * Allow stderr in autopkgtest output

 -- James McCoy <jamessan@debian.org>  Tue, 26 Jul 2022 06:52:59 -0400

msgpack-cxx (4.1.1-2) unstable; urgency=medium

  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 25 Jul 2022 19:55:43 -0400

msgpack-cxx (4.1.1-1) experimental; urgency=medium

  * New upstream release
    + Remove backported patches
  * Split C++ support into its own package, following upstream's split of the
    project.  (Closes: #1005206)
  * Breaks/Replaces libmsgpack-dev pre-4.0.0
  * Declare compliance with Policy 4.6.1, no changes needed

 -- James McCoy <jamessan@debian.org>  Fri, 15 Jul 2022 06:37:54 -0400

msgpack-c (3.3.0-4) unstable; urgency=medium

  * Add libboost-dev to libmsgpack-dev Depends (Ref #965301)

 -- James McCoy <jamessan@debian.org>  Sun, 19 Jul 2020 21:30:56 -0400

msgpack-c (3.3.0-3) unstable; urgency=medium

  * Revert "Enable MSGPACK_BOOST and add
    libboost-{chrono,context,system,timer}-dev Build-Depends".
    + libboost-context-dev isn't available on all architectures.  The next
      upstream version will refine the required Boost libaries.  Until then,
      go back to not running the Boost tests.
  * Only Build-Depend on libboost-dev for tests

 -- James McCoy <jamessan@debian.org>  Wed, 15 Jul 2020 10:18:06 -0400

msgpack-c (3.3.0-2) unstable; urgency=medium

  * Remove build17/ during cleanup
  * Backport upstream patches to fix FTBFS on armhf.  (Closes: #965010)
  * Enable MSGPACK_BOOST and add libboost-{chrono,context,system,timer}-dev
    Build-Depends.

 -- James McCoy <jamessan@debian.org>  Wed, 15 Jul 2020 01:41:36 -0400

msgpack-c (3.3.0-1) unstable; urgency=medium

  * New upstream release
    + Fix FTBFS on 32-bit architectures (Closes: #950496)
  * copyright: Remove unused Files/License paragraphs
  * Declare compliance with Policy 4.5.0, no changes needed
  * tests/control:
    + Add libcjson-dev to Depends for new json example

 -- James McCoy <jamessan@debian.org>  Fri, 05 Jun 2020 23:40:36 -0400

msgpack-c (3.2.1-1) experimental; urgency=medium

  * New upstream release (Closes: #919672)
  * rules:
    + Remove obsolete handling of differing hardening=+all,-pie semantics
    + Run build-time tests for C++11 and C++17
  * Switch to debhelper compat 12 via debhelper-compat
  * control:
    + Add graphviz to Build-Depends-Indep to build graphs in API docs
    + Mark libmsgpack-doc Multi-Arch: foreign
    + Mark libmsgpack-dev Multi-Arch: same
  * Use jdupes to reduce size of libmsgpack-doc
  * Declare compliance with Policy 4.4.1, no changes needed
  * autopkgtests:
    + Depend on libmsgpack-dev, not "@".  Installing libmsgpack-doc just
      wastes time/disk space.
    + Use example directory's CMakeLists.txt to build/test all examples
  * Avoid building/installing documentation for nodoc build profile/options
    + Add <!nodoc> to Build-Depends-Indep
    + Add <!nodoc> Build-Profiles to libmsgpack-doc stanza
    + Don't build libmsgpack-doc if DEB_BUILD_OPTIONS=nodoc

 -- James McCoy <jamessan@debian.org>  Wed, 01 Jan 2020 23:10:23 -0500

msgpack-c (3.0.1-3) unstable; urgency=medium

  * Use -DBUILD_GTEST=ON to be compatible with googletest < 1.8.1, which
    relied on gmock implicitly builing gtest

 -- James McCoy <jamessan@debian.org>  Sun, 28 Oct 2018 01:25:17 -0400

msgpack-c (3.0.1-2) unstable; urgency=medium

  * rules:
    + Do not fail build if build-gtest/ exists
    + Use -DBUILD_GMOCK=OFF to avoid building gmock, rather than trying to
      only build the googletest sub-directory (Closes: #912061)
    + Ensure dh_doxygen is called after dh_installdocs
  * Opt-in to debhelper 12 beta
  * Declare compliance with Policy 4.2.1, no changes needed
  * Add Build-Depends-Package to libmsgpackc2.symbols

 -- James McCoy <jamessan@debian.org>  Sat, 27 Oct 2018 23:57:16 -0400

msgpack-c (3.0.1-1) unstable; urgency=medium

  * New upstream release
  * Use cmake+ninja dh buildsystem
  * rules: Build googletest so tests can run

 -- James McCoy <jamessan@debian.org>  Sat, 12 May 2018 07:34:55 -0400

msgpack-c (3.0.0-1) unstable; urgency=medium

  * New upstream release
    + Fixes FTBFS with gcc8 (Closes: #897815)
    + New v3 C++ API
  * copyright: Bump years for debian/* and *
  * Declare compliance with Policy 4.1.4, no changes needed
  * control: Differentiate libmsgpack-dev short description from libmsgpackc2
  * Build/run some of upstream's examples as basic autopkgtests

 -- James McCoy <jamessan@debian.org>  Thu, 10 May 2018 23:08:20 -0400

msgpack-c (2.1.5-2) unstable; urgency=medium

  * control:
    + Change Vcs-* to salsa.debian.org
    + Declare compliance with Policy 4.1.3
    + Set myself as maintainer.  Thanks to Taku YASUI for all his work on the
      package
    + Set Rules-Requires-Root to no
  * Bump debhelper compat to 11
  * Install doxygen docs using dh_installdocs
  * rules: Remove -pie from hardening build options for dpkg >= 1.18.23
  * Stop installing duplicate copy of upstream README
  * Register API documentation with doc-base

 -- James McCoy <jamessan@debian.org>  Wed, 28 Mar 2018 21:07:03 -0400

msgpack-c (2.1.5-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Declare compliance with Policy 4.1.0
    + Change Priority from extra to optional

 -- James McCoy <jamessan@debian.org>  Sun, 17 Sep 2017 08:53:26 -0400

msgpack-c (2.1.3-1) experimental; urgency=medium

  * New upstream release
    + Fix FTBFS with gcc-7 (Closes: #853564)
    + Bump minimum CMake version to 2.8.12
    + Provide CMake config files to assist building against msgpack-c.



=== debian/watch ===
version=3

https://github.com/msgpack/msgpack-c/releases/ (?:.*/)?msgpack-cxx-([0-9.]+)\.tar\.gz

## msgpack-cxx 4.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,8 @@
 CMAKE_POLICY (SET CMP0054 NEW)
 
 PROJECT (msgpack LANGUAGES CXX)
+
+ADD_LIBRARY (msgpackc-cxx INTERFACE)
 
 FILE (READ ${CMAKE_CURRENT_SOURCE_DIR}/include/msgpack/version_master.hpp contents)
 STRING (REGEX MATCH "#define MSGPACK_VERSION_MAJOR *([0-9a-zA-Z_]*)" NULL_OUT ${contents})
@@ -55,11 +57,11 @@
 
 IF (MSGPACK_32BIT)
     IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
-        SET (CMAKE_CXX_FLAGS "-m32 ${CMAKE_CXX_FLAGS}")
-        SET (CMAKE_EXE_LINKER_FLAGS "-m32 ${CMAKE_EXE_LINKER_FLAGS}")
+        TARGET_COMPILE_OPTIONS(msgpackc-cxx INTERFACE -m32)
+        TARGET_LINK_OPTIONS(msgpackc-cxx INTERFACE -m32)
     ELSEIF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
-        SET (CMAKE_CXX_FLAGS "-m32 ${CMAKE_CXX_FLAGS}")
-        SET (CMAKE_EXE_LINKER_FLAGS "-m32 ${CMAKE_EXE_LINKER_FLAGS}")
+        TARGET_COMPILE_OPTIONS(msgpackc-cxx INTERFACE -m32)
+        TARGET_LINK_OPTIONS(msgpackc-cxx INTERFACE -m32)
     ENDIF ()
 ENDIF ()
 
@@ -76,18 +78,18 @@
 
     FIND_PACKAGE (Boost REQUIRED)
 ELSE ()
-    SET (CMAKE_CXX_FLAGS "-DMSGPACK_NO_BOOST ${CMAKE_CXX_FLAGS}")
+    TARGET_COMPILE_DEFINITIONS(msgpackc-cxx INTERFACE MSGPACK_NO_BOOST)
 ENDIF ()
 
 IF (MSGPACK_CHAR_SIGN)
-    SET (CMAKE_CXX_FLAGS "-f${MSGPACK_CHAR_SIGN}-char ${CMAKE_CXX_FLAGS}")
+    TARGET_COMPILE_OPTIONS(msgpackc-cxx INTERFACE -f${MSGPACK_CHAR_SIGN}-char)
 ENDIF ()
 
 IF (MSGPACK_DEFAULT_API_VERSION)
-    SET (CMAKE_CXX_FLAGS "-DMSGPACK_DEFAULT_API_VERSION=${MSGPACK_DEFAULT_API_VERSION} ${CMAKE_CXX_FLAGS}")
+    TARGET_COMPILE_DEFINITIONS(msgpackc-cxx INTERFACE MSGPACK_DEFAULT_API_VERSION=${MSGPACK_DEFAULT_API_VERSION})
 ELSE ()
     SET (MSGPACK_DEFAULT_API_VERSION 3)
-    SET (CMAKE_CXX_FLAGS "-DMSGPACK_DEFAULT_API_VERSION=3 ${CMAKE_CXX_FLAGS}")
+    TARGET_COMPILE_DEFINITIONS(msgpackc-cxx INTERFACE MSGPACK_DEFAULT_API_VERSION=3)
 ENDIF ()
 
 IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
@@ -110,8 +112,6 @@
 
 INCLUDE (Files.cmake)
 
-ADD_LIBRARY (msgpackc-cxx INTERFACE)
-
 TARGET_INCLUDE_DIRECTORIES (msgpackc-cxx
     INTERFACE
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
@@ -134,7 +134,6 @@
 
     INCLUDE (CodeCoverage)
     SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${COVERAGE_FLAGS}")
-
     SETUP_TARGET_FOR_COVERAGE(coverage make coverage test)
 ENDIF ()
 
@@ -157,7 +156,7 @@
 ENDIF ()
 
 IF ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "sparc")
-    SET (CMAKE_CXX_FLAGS "-DMSGPACK_ZONE_ALIGN=8 ${CMAKE_CXX_FLAGS}")
+    TARGET_COMPILE_DEFINITIONS(msgpackc-cxx INTERFACE MSGPACK_ZONE_ALIGN=8)
 ENDIF ()
 
 IF (MSGPACK_BUILD_EXAMPLES)

=== fuzz/CMakeLists.txt ===
FIND_PACKAGE (Threads REQUIRED)
FIND_PACKAGE (Boost REQUIRED COMPONENTS system filesystem unit_test_framework)

LIST (APPEND check_PROGRAMS
    regression_runner.cpp
)

FOREACH (source_file ${check_PROGRAMS})
    GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (
        ${source_file_we}
        ${source_file}
    )

    TARGET_COMPILE_DEFINITIONS (${source_file_we} PRIVATE
        $<IF:$<BOOL:${MSGPACK_USE_STATIC_BOOST}>,,BOOST_TEST_DYN_LINK>)

    TARGET_LINK_LIBRARIES (${source_file_we}
        msgpackc-cxx
        Threads::Threads
        Boost::filesystem
        Boost::system
        Boost::unit_test_framework
    )

    ADD_TEST (${source_file_we} ${source_file_we})

    IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
      SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS "-Wall -Wextra -Wno-mismatched-tags -g")
        IF ("${MSGPACK_SAN}" STREQUAL "ASAN")
            SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-omit-frame-pointer -fsanitize=address")
            SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-omit-frame-pointer -fsanitize=address")
        ELSEIF ("${MSGPACK_SAN}" STREQUAL "UBSAN")
            SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fsanitize=undefined")
            SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=undefined")
        ENDIF()
    ENDIF()
ENDFOREACH ()

=== test/CMakeLists.txt ===
FIND_PACKAGE (Threads REQUIRED)
FIND_PACKAGE (ZLIB)
FIND_PACKAGE (Boost REQUIRED COMPONENTS unit_test_framework system)

LIST (APPEND check_PROGRAMS
    array_ref.cpp
    boost_fusion.cpp
    boost_optional.cpp
    boost_string_ref.cpp
    boost_string_view.cpp
    boost_variant.cpp
    buffer.cpp
    carray.cpp
    cases.cpp
    convert.cpp
    fixint.cpp
    inc_adaptor_define.cpp
    json.cpp
    limit.cpp
    msgpack_basic.cpp
    msgpack_container.cpp
    msgpack_stream.cpp
    msgpack_tuple.cpp
    msgpack_vref.cpp
    object.cpp
    object_with_zone.cpp
    pack_unpack.cpp
    raw.cpp
    reference.cpp
    size_equal_only.cpp
    streaming.cpp
    user_class.cpp
    version.cpp
    visitor.cpp
    zone.cpp
)

IF (MSGPACK_USE_X3_PARSE)
    LIST (APPEND check_PROGRAMS
        msgpack_x3_parse.cpp
    )
ENDIF ()

IF (MSGPACK_CXX11 OR MSGPACK_CXX14 OR MSGPACK_CXX17 OR MSGPACK_CXX20)
    LIST (APPEND check_PROGRAMS
        iterator_cpp11.cpp
        msgpack_cpp11.cpp
        reference_cpp11.cpp
        reference_wrapper_cpp11.cpp
        shared_ptr_cpp11.cpp
        unique_ptr_cpp11.cpp

        # fuzzers are cpp11 only
        fuzz_unpack_pack_fuzzer_cpp11.cpp
    )
ENDIF ()

IF (MSGPACK_CXX17 OR MSGPACK_CXX20)
    LIST (APPEND check_PROGRAMS
        msgpack_cpp17.cpp
    )
ENDIF ()

IF (MSGPACK_CXX20)
    LIST (APPEND check_PROGRAMS
        msgpack_cpp20.cpp
    )
ENDIF ()

FOREACH (source_file ${check_PROGRAMS})
    GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (
        ${source_file_we}
        ${source_file}
    )

    TARGET_COMPILE_DEFINITIONS (${source_file_we} PRIVATE
        $<IF:$<BOOL:${MSGPACK_USE_STATIC_BOOST}>,,BOOST_TEST_DYN_LINK>)

    TARGET_LINK_LIBRARIES (${source_file_we}
        msgpackc-cxx
        Boost::system
        Boost::unit_test_framework
        Threads::Threads
        ZLIB::ZLIB
    )

    ADD_TEST (NAME ${source_file_we} COMMAND ${source_file_we})

    IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra -Wconversion")
    ENDIF ()
    IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
    ENDIF ()

    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
        IF (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
            STRING (REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
        ELSE ()
            SET (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3 /WX")
        ENDIF ()
    ENDIF ()
ENDFOREACH ()

ADD_EXECUTABLE (
    multi_file
    multi_file1.cpp multi_file2.cpp
)

TARGET_LINK_LIBRARIES (multi_file
    msgpackc-cxx
)

ADD_TEST (multi_file multi_file)

=== example/boost/CMakeLists.txt ===
FIND_PACKAGE (Boost REQUIRED COMPONENTS system)
FIND_PACKAGE (Threads REQUIRED)
FIND_PACKAGE (ZLIB REQUIRED)

LIST (APPEND exec_PROGRAMS
    msgpack_variant_capitalize.cpp
    msgpack_variant_mapbased.cpp
)

IF (MSGPACK_CXX11 OR MSGPACK_CXX14 OR MSGPACK_CXX17 OR MSGPACK_CXX20)
    LIST (APPEND exec_PROGRAMS asio_send_recv.cpp)
    IF (ZLIB_FOUND)
        LIST (APPEND exec_PROGRAMS asio_send_recv_zlib.cpp)
    ENDIF ()
ENDIF ()

FOREACH (source_file ${exec_PROGRAMS})
    GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (
        ${source_file_we}
        ${source_file}
    )
    TARGET_LINK_LIBRARIES (${source_file_we} PRIVATE
        msgpackc-cxx
        Boost::system
        Threads::Threads
    )
    IF (ZLIB_FOUND)
        TARGET_LINK_LIBRARIES (${source_file_we} PRIVATE ZLIB::ZLIB)
    ENDIF ()
    IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra")
    ENDIF ()

    IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
    ENDIF ()

    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
        IF (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
            STRING(REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
        ELSE ()
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3 /WX")
        ENDIF ()
    ENDIF ()
ENDFOREACH ()

=== example/cpp03/CMakeLists.txt ===
FIND_PACKAGE (Threads REQUIRED)

FIND_PACKAGE (Boost COMPONENTS timer)

LIST (APPEND exec_PROGRAMS
    class_intrusive.cpp
    class_intrusive_map.cpp
    class_non_intrusive.cpp
    custom.cpp
    enum.cpp
    map_based_versionup.cpp
    protocol_new.cpp
    reuse_zone.cpp
    simple.cpp
)

IF (MSGPACK_DEFAULT_API_VERSION EQUAL 1)
    LIST (APPEND exec_PROGRAMS
        protocol.cpp
    )
ENDIF ()

IF (NOT MSVC)
    LIST (APPEND with_pthread_PROGRAMS
        stream.cpp
    )
ENDIF ()


IF (MSGPACK_USE_BOOST)
    IF (Boost_TIMER_LIBRARY)
        LIST (APPEND with_boost_lib_PROGRAMS
            speed_test.cpp
            speed_test_nested_array.cpp
        )
    ENDIF ()
ENDIF ()

FOREACH (source_file ${exec_PROGRAMS})
    GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (
        ${source_file_we}
        ${source_file}
    )
    TARGET_LINK_LIBRARIES (${source_file_we} PRIVATE
        msgpackc-cxx
    )
    IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra")
    ENDIF ()
    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
        IF (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
            STRING(REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
        ELSE ()
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3 /WX")
        ENDIF ()
    ENDIF ()
ENDFOREACH ()

FOREACH (source_file ${with_pthread_PROGRAMS})
    GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (
        ${source_file_we}
        ${source_file}
    )
    TARGET_LINK_LIBRARIES (${source_file_we} PRIVATE
        msgpackc-cxx
        Threads::Threads
    )
    IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra")
    ENDIF ()
    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
        IF (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
            STRING(REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
        ELSE ()
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3 /WX")
        ENDIF ()
    ENDIF ()
ENDFOREACH ()

FOREACH (source_file ${with_boost_lib_PROGRAMS})
    GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
    ADD_EXECUTABLE (
        ${source_file_we}
        ${source_file}
    )
    TARGET_LINK_LIBRARIES (${source_file_we} PRIVATE
        msgpackc-cxx
        Boost::timer
    )
    IF (NOT MSVC AND NOT APPLE)
        TARGET_LINK_LIBRARIES (${source_file_we} PRIVATE
            rt
        )
    ENDIF ()

    IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS "-Wall -Wextra -Werror -O3")
    ENDIF ()

    IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
        SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
    ENDIF ()

    IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
        IF (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
            STRING(REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
        ELSE ()
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3 /WX")
        ENDIF ()
    ENDIF ()
ENDFOREACH ()

=== example/cpp11/CMakeLists.txt ===
IF (MSGPACK_CXX11 OR MSGPACK_CXX14 OR MSGPACK_CXX17)
    LIST (APPEND exec_PROGRAMS
        container.cpp
        non_def_con_class.cpp
    )

    IF ("${MSGPACK_DEFAULT_API_VERSION}" GREATER "1")
        LIST (APPEND exec_PROGRAMS
            socket_stream_example.cpp
        )
    ENDIF ()

    FOREACH (source_file ${exec_PROGRAMS})
        GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
        ADD_EXECUTABLE (
            ${source_file_we}
            ${source_file}
        )
        TARGET_LINK_LIBRARIES (${source_file_we} PRIVATE
            msgpackc-cxx
        )
        IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
            SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra")
        ENDIF ()

        IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
            SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
        ENDIF ()

        IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
            IF (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
                STRING(REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
            ELSE ()
                SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3 /WX")
            ENDIF ()
        ENDIF ()
    ENDFOREACH ()
ENDIF ()

=== example/x3/CMakeLists.txt ===
IF (MSGPACK_USE_X3_PARSE AND MSGPACK_DEFAULT_API_VERSION VERSION_GREATER 1)
    FIND_PACKAGE (Boost REQUIRED COMPONENTS context system)
    FIND_PACKAGE (Threads REQUIRED)

    LIST (APPEND exec_PROGRAMS
        unpack.cpp
        parse.cpp
    )
    LIST (APPEND with_boost_PROGRAMS
        stream_unpack.cpp
    )
    FOREACH (source_file ${exec_PROGRAMS})
        GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
        ADD_EXECUTABLE (
            ${source_file_we}
            ${source_file}
        )
        TARGET_LINK_LIBRARIES (${source_file_we} PRIVATE msgpackc-cxx)

        IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
            SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra")
        ENDIF ()

        IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
            SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
        ENDIF ()

        IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
            IF (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
                STRING(REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
            ELSE ()
                SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3 /WX")
            ENDIF ()
        ENDIF ()
    ENDFOREACH ()
    FOREACH (source_file ${with_boost_PROGRAMS})
        GET_FILENAME_COMPONENT (source_file_we ${source_file} NAME_WE)
        ADD_EXECUTABLE (
            ${source_file_we}
            ${source_file}
        )
        TARGET_LINK_LIBRARIES (${source_file_we} PRIVATE
            msgpackc-cxx
            Boost::context
            Boost::system
            Threads::Threads
        )
        IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
            SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wall -Wextra")
        ENDIF ()

        IF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
            SET_PROPERTY (TARGET ${source_file_we} APPEND_STRING PROPERTY COMPILE_FLAGS " -Wno-mismatched-tags")
        ENDIF ()

        IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "MSVC")
            IF (CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
                STRING(REGEX REPLACE "/W[0-4]" "/W3 /WX" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
            ELSE ()
                SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W3 /WX")
            ENDIF ()
        ENDIF ()
    ENDFOREACH ()
ENDIF ()

=== debian/changelog ===
msgpack-cxx (4.1.3-1) unstable; urgency=medium

  * New upstream release
  * debian/watch:
    - Use GitHub's tags page to find the release tarball
    - Bump watchfile version to 4
  * Add debian/upstream/metadata file

 -- James McCoy <jamessan@debian.org>  Tue, 20 Dec 2022 15:42:24 -0500

=== debian/control ===
Source: msgpack-cxx
Section: libs
Priority: optional
Maintainer: James McCoy <jamessan@debian.org>
Build-Depends-Indep:
 doxygen <!nodoc>,
 doxygen-latex <!nodoc>,
 graphviz <!nodoc>,
 jdupes <!nodoc>,
Build-Depends:
 cmake (>= 3.1),
 debhelper-compat (= 13),
 libboost-dev,
 libboost-system-dev <!nocheck>,
 libboost-test-dev <!nocheck>,
 ninja-build,
 zlib1g-dev,
Standards-Version: 4.6.1
Homepage: https://github.com/msgpack/msgpack-c/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/msgpack-cxx.git
Vcs-Browser: https://salsa.debian.org/debian/msgpack-cxx

Package: libmsgpack-cxx-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks: libmsgpack-dev (<< 4.0.0-1~)
Replaces: libmsgpack-dev (<< 4.0.0-1~)
Depends:
 libboost-dev,
 ${misc:Depends},
Suggests:
 libmsgpack-cxx-doc,
Description: binary-based efficient object serialization library (development files)
 MessagePack is a binary-based efficient object serialization library.
 It enables to exchange structured objects between many languages like JSON.
 But unlike JSON, it is very fast and small.
 .
 This package contains the headers files needed for developing with msgpack-cxx.

Package: libmsgpack-cxx-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: binary-based efficient object serialization library (docs)
 MessagePack is a binary-based efficient object serialization library.
 It enables to exchange structured objects between many languages like JSON.
 But unlike JSON, it is very fast and small.
 .
 This package contains the documentation of msgpack-cxx's API.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk

export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS

%:
	dh $@ --buildsystem=cmake+ninja --builddirectory=build$(DEFAULT_CPPVER)

CPPVERS = CXX11 CXX14 CXX17 CXX20
export DEFAULT_CPPVER = CXX11

# If we're running tests, then setup the build for all the supported C++
# standards so we can run the entire test suite
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_configure:
	for ver in $(CPPVERS); do \
	  dh_auto_configure --buildsystem=cmake+ninja --builddirectory=build$${ver} -- -DMSGPACK_$${ver}=ON -DMSGPACK_BUILD_TESTS=ON; \
	done

override_dh_auto_build-arch:
	for ver in $(CPPVERS); do \
	  dh_auto_build --builddirectory=build$${ver}; \
	done

override_dh_auto_test-arch:
	for ver in $(CPPVERS); do \
	  dh_auto_test --builddirectory=build$${ver}; \
	done
else
override_dh_auto_configure:
	dh_auto_configure --builddirectory=build$(DEFAULT_CPPVER) -- -DMSGPACK_$(DEFAULT_CPPVER)=ON
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_build-indep:
	dh_auto_build -- doxygen

override_dh_install-indep:
	dh_install -i

override_dh_installdocs-indep:
	mkdir -p build/html
	dh_installdocs
	dh_doxygen

override_dh_link-indep:
	dh_link -i
	jdupes -rl debian/libmsgpack-cxx-doc/usr/

override_dh_auto_test-indep:
endif

## msgpack-cxx 6.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 
 CMAKE_POLICY (SET CMP0054 NEW)
 
-PROJECT (msgpack LANGUAGES CXX)
-
-ADD_LIBRARY (msgpackc-cxx INTERFACE)
+PROJECT (msgpack-cxx LANGUAGES CXX)
+
+ADD_LIBRARY (msgpack-cxx INTERFACE)
 
 FILE (READ ${CMAKE_CURRENT_SOURCE_DIR}/include/msgpack/version_master.hpp contents)
 STRING (REGEX MATCH "#define MSGPACK_VERSION_MAJOR *([0-9a-zA-Z_]*)" NULL_OUT ${contents})
@@ -23,16 +23,17 @@
 OPTION (MSGPACK_CXX17 "Using c++17 compiler" OFF)
 OPTION (MSGPACK_CXX20 "Using c++20 compiler" OFF)
 
-OPTION (MSGPACK_32BIT            "32bit compile"                        OFF)
-OPTION (MSGPACK_USE_BOOST        "Use Boost libraried"                  ON)
-OPTION (MSGPACK_USE_X3_PARSE     "Use Boost X3 parse"                   OFF)
-OPTION (MSGPACK_BUILD_TESTS      "Build tests"                          OFF)
-OPTION (MSGPACK_BUILD_DOCS       "Build Doxygen documentation"          ON)
-OPTION (MSGPACK_FUZZ_REGRESSION  "Enable regression testing"            OFF)
-OPTION (MSGPACK_BUILD_EXAMPLES   "Build msgpack examples"               OFF)
-OPTION (MSGPACK_GEN_COVERAGE     "Generate coverage report"             OFF)
-OPTION (MSGPACK_USE_STATIC_BOOST "Statically link with boost libraries" OFF)
-OPTION (MSGPACK_CHAR_SIGN        "Char sign to use (signed or unsigned)")
+OPTION (MSGPACK_32BIT                   "32bit compile"                        OFF)
+OPTION (MSGPACK_USE_BOOST               "Use Boost libraried"                  ON)
+OPTION (MSGPACK_USE_X3_PARSE            "Use Boost X3 parse"                   OFF)
+OPTION (MSGPACK_BUILD_TESTS             "Build tests"                          OFF)
+OPTION (MSGPACK_BUILD_DOCS              "Build Doxygen documentation"          ON)
+OPTION (MSGPACK_FUZZ_REGRESSION         "Enable regression testing"            OFF)
+OPTION (MSGPACK_BUILD_EXAMPLES          "Build msgpack examples"               OFF)
+OPTION (MSGPACK_GEN_COVERAGE            "Generate coverage report"             OFF)
+OPTION (MSGPACK_USE_STATIC_BOOST        "Statically link with boost libraries" OFF)
+OPTION (MSGPACK_CHAR_SIGN               "Char sign to use (signed or unsigned)")
+OPTION (MSGPACK_USE_STD_VARIANT_ADAPTOR "Enable the adaptor for std::variant"  OFF)
 
 SET (CMAKE_CXX_STANDARD_REQUIRED ON)
 
@@ -57,11 +58,11 @@
 
 IF (MSGPACK_32BIT)
     IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
-        TARGET_COMPILE_OPTIONS(msgpackc-cxx INTERFACE -m32)
-        TARGET_LINK_OPTIONS(msgpackc-cxx INTERFACE -m32)
+        TARGET_COMPILE_OPTIONS(msgpack-cxx INTERFACE -m32)
+        TARGET_LINK_OPTIONS(msgpack-cxx INTERFACE -m32)
     ELSEIF ("${CMAKE_CXX_COMPILER_ID}" MATCHES "Clang")
-        TARGET_COMPILE_OPTIONS(msgpackc-cxx INTERFACE -m32)
-        TARGET_LINK_OPTIONS(msgpackc-cxx INTERFACE -m32)
+        TARGET_COMPILE_OPTIONS(msgpack-cxx INTERFACE -m32)
+        TARGET_LINK_OPTIONS(msgpack-cxx INTERFACE -m32)
     ENDIF ()
 ENDIF ()
 
@@ -78,18 +79,22 @@
 
     FIND_PACKAGE (Boost REQUIRED)
 ELSE ()
-    TARGET_COMPILE_DEFINITIONS(msgpackc-cxx INTERFACE MSGPACK_NO_BOOST)
+    TARGET_COMPILE_DEFINITIONS(msgpack-cxx INTERFACE MSGPACK_NO_BOOST)
 ENDIF ()
 
 IF (MSGPACK_CHAR_SIGN)
-    TARGET_COMPILE_OPTIONS(msgpackc-cxx INTERFACE -f${MSGPACK_CHAR_SIGN}-char)
+    TARGET_COMPILE_OPTIONS(msgpack-cxx INTERFACE -f${MSGPACK_CHAR_SIGN}-char)
 ENDIF ()
 
 IF (MSGPACK_DEFAULT_API_VERSION)
-    TARGET_COMPILE_DEFINITIONS(msgpackc-cxx INTERFACE MSGPACK_DEFAULT_API_VERSION=${MSGPACK_DEFAULT_API_VERSION})
+    TARGET_COMPILE_DEFINITIONS(msgpack-cxx INTERFACE MSGPACK_DEFAULT_API_VERSION=${MSGPACK_DEFAULT_API_VERSION})
 ELSE ()
     SET (MSGPACK_DEFAULT_API_VERSION 3)
-    TARGET_COMPILE_DEFINITIONS(msgpackc-cxx INTERFACE MSGPACK_DEFAULT_API_VERSION=3)
+    TARGET_COMPILE_DEFINITIONS(msgpack-cxx INTERFACE MSGPACK_DEFAULT_API_VERSION=3)
+ENDIF ()
+
+IF (MSGPACK_USE_STD_VARIANT_ADAPTOR)
+    TARGET_COMPILE_DEFINITIONS(msgpack-cxx INTERFACE MSGPACK_USE_STD_VARIANT_ADAPTOR)
 ENDIF ()
 
 IF ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
@@ -112,7 +117,7 @@
 
 INCLUDE (Files.cmake)
 
-TARGET_INCLUDE_DIRECTORIES (msgpackc-cxx
+TARGET_INCLUDE_DIRECTORIES (msgpack-cxx
     INTERFACE
         $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
         $<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
@@ -120,7 +125,7 @@
 )
 
 IF (MSGPACK_USE_BOOST)
-    TARGET_LINK_LIBRARIES (msgpackc-cxx INTERFACE Boost::boost)
+    TARGET_LINK_LIBRARIES (msgpack-cxx INTERFACE Boost::boost)
 ENDIF ()
 
 IF (MSGPACK_GEN_COVERAGE)
@@ -156,7 +161,7 @@
 ENDIF ()
 
 IF ("${CMAKE_SYSTEM_PROCESSOR}" STREQUAL "sparc")
-    TARGET_COMPILE_DEFINITIONS(msgpackc-cxx INTERFACE MSGPACK_ZONE_ALIGN=8)
+    TARGET_COMPILE_DEFINITIONS(msgpack-cxx INTERFACE MSGPACK_ZONE_ALIGN=8)
 ENDIF ()
 
 IF (MSGPACK_BUILD_EXAMPLES)
@@ -193,9 +198,9 @@
 include (GNUInstallDirs)
 
 # Install library.
-INSTALL (TARGETS msgpackc-cxx
-         EXPORT msgpackc-cxx-targets
-         COMPONENT msgpackc-cxx
+INSTALL (TARGETS msgpack-cxx
+         EXPORT msgpack-cxx-targets
+         COMPONENT msgpack-cxx
          # This provides include directory in exported target
          # relative to prefix in single directory we've put everything in.
          INCLUDES DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}"
@@ -204,7 +209,7 @@
 # Install headers from source tree.
 INSTALL (DIRECTORY include/
          DESTINATION include
-         COMPONENT msgpackc-cxx
+         COMPONENT msgpack-cxx
 )
 
 INCLUDE (CMakePackageConfigHelpers)
@@ -212,18 +217,18 @@
 IF (NOT (CMAKE_VERSION VERSION_LESS 3.14))
     SET (extra_version_file_args ARCH_INDEPENDENT)
 ENDIF ()
-SET (cmake_config_path "${CMAKE_INSTALL_LIBDIR}/cmake/msgpackc-cxx")
+SET (cmake_config_path "${CMAKE_INSTALL_LIBDIR}/cmake/msgpack-cxx")
 
 # Configure the main package file from source tree.
 CONFIGURE_PACKAGE_CONFIG_FILE (
-    msgpack-config.cmake.in
-    "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config.cmake"
+    msgpack-cxx-config.cmake.in
+    "${CMAKE_CURRENT_BINARY_DIR}/msgpack-cxx-config.cmake"
     INSTALL_DESTINATION "${cmake_config_path}"
 )
 
 # Write package version file.
 WRITE_BASIC_PACKAGE_VERSION_FILE (
-    msgpack-config-version.cmake
+    msgpack-cxx-config-version.cmake
     VERSION ${VERSION}
     COMPATIBILITY SameMajorVersion
     ${extra_version_file_args}
@@ -231,16 +236,16 @@
 
 # Install the generated package version file and the main package file.
 INSTALL (FILES
-    "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config.cmake"
-    "${CMAKE_CURRENT_BINARY_DIR}/msgpack-config-version.cmake"
+    "${CMAKE_CURRENT_BINARY_DIR}/msgpack-cxx-config.cmake"
+    "${CMAKE_CURRENT_BINARY_DIR}/msgpack-cxx-config-version.cmake"
     DESTINATION "${cmake_config_path}"
-    COMPONENT msgpackc-cxx
+    COMPONENT msgpack-cxx
 )
 
 # This installs package in install tree for using installed targets.
 INSTALL (
-    EXPORT msgpackc-cxx-targets
-    FILE msgpackc-cxx-targets.cmake
+    EXPORT msgpack-cxx-targets
+    FILE msgpack-cxx-targets.cmake
     DESTINATION "${cmake_config_path}"
-    COMPONENT msgpackc-cxx
-)
+    COMPONENT msgpack-cxx
+)

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -78,7 +78,7 @@
         $<IF:$<BOOL:${MSGPACK_USE_STATIC_BOOST}>,,BOOST_TEST_DYN_LINK>)
 
     TARGET_LINK_LIBRARIES (${source_file_we}
-        msgpackc-cxx
+        msgpack-cxx
         Boost::system
         Boost::unit_test_framework
         Threads::Threads
@@ -109,7 +109,7 @@
 )
 
 TARGET_LINK_LIBRARIES (multi_file
-    msgpackc-cxx
+    msgpack-cxx
 )
 
 ADD_TEST (multi_file multi_file)

=== debian/changelog ===
msgpack-cxx (6.1.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:37:09 +0000

msgpack-cxx (6.1.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1061497)
    - Remove backported patches
  * Upload to unstable

 -- James McCoy <jamessan@debian.org>  Mon, 26 Feb 2024 18:35:03 -0500

msgpack-cxx (6.0.0-2) experimental; urgency=medium

  * Backport upstream patch (test: Add missing rebind to allocators) to fix
    build with g++-13

 -- James McCoy <jamessan@debian.org>  Wed, 27 Sep 2023 10:21:09 -0400

msgpack-cxx (6.0.0-1) experimental; urgency=medium

  * New upstream release
    + Library renamed from msgpack to msgpack-cxx
  * Update packaging for msgpackc-cxx -> msgpack-cxx library renaming
  * Declare compliance with Policy 4.6.2, no changes needed
  * Catch errors for any C++ version, not just the last one
  * autopkgtest: Use msgpack-cxx package instead of msgpack

 -- James McCoy <jamessan@debian.org>  Fri, 23 Jun 2023 20:36:17 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: msgpack-cxx
 Section: libs
 Priority: optional
-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends-Indep:
  doxygen <!nodoc>,
  doxygen-latex <!nodoc>,
@@ -15,7 +16,7 @@
  libboost-test-dev <!nocheck>,
  ninja-build,
  zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/msgpack/msgpack-c/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/msgpack-cxx.git

## msgpack-cxx 6.1.1

=== debian/changelog ===
msgpack-cxx (6.1.1-1) unstable; urgency=medium

  * New upstream release
  * Remove libboost-system-dev from Build-Depends. No longer needed by
    upstream tests.

 -- James McCoy <jamessan@debian.org>  Thu, 04 Apr 2024 08:23:03 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: msgpack-cxx
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: James McCoy <jamessan@debian.org>
+Maintainer: James McCoy <jamessan@debian.org>
 Build-Depends-Indep:
  doxygen <!nodoc>,
  doxygen-latex <!nodoc>,
@@ -12,7 +11,6 @@
  cmake (>= 3.1),
  debhelper-compat (= 13),
  libboost-dev,
- libboost-system-dev <!nocheck>,
  libboost-test-dev <!nocheck>,
  ninja-build,
  zlib1g-dev,
